org.eclipse.rdf4j.query.parser.sparql

## Class TupleExprBuilder.SameTermCollector

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException>
  - - org.eclipse.rdf4j.query.parser.sparql.TupleExprBuilder.SameTermCollector

- All Implemented Interfaces:
    QueryModelVisitor<org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException>
  Enclosing class:
    TupleExprBuilder

      protected class TupleExprBuilder.SameTermCollector
      extends AbstractQueryModelVisitor<org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SameTermCollector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<SameTerm>` | `getCollectedSameTerms()`
    `void` | `meet(SameTerm st)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetNode, meetOther, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SameTermCollector

          protected SameTermCollector()

  - ### Method Detail

    - #### meet

          public void meet(SameTerm st)

      Specified by:
        `meet` in interface `QueryModelVisitor<org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException>`

    - #### getCollectedSameTerms

          public Set<SameTerm> getCollectedSameTerms()

      Returns:
        Returns the collected SameTerms.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.